Bug 175707 - nmdb crash when wins proxy and wins support = yes
nmdb crash when wins proxy and wins support = yes
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 23:11 EST by quekky
Modified: 2014-08-31 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 00:00:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description quekky 2005-12-13 23:11:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
#smb.conf
[global]
wins proxy = yes 
wins support = yes

Actual Results:  #nmdb.log
*** glibc detected *** free(): invalid next size (fast): 0x09a182e8 ***

Additional info:
Comment 1 zwlu 2006-08-01 13:16:07 EDT
I hit this bug also on July 31, 2006 after I migrated my server from
RHEL3 to RHEL4. I have spent nearly one day to figure this out.
This bug exists for i386 and x86_64.
Comment 2 RHEL Product and Program Management 2006-08-18 12:51:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Nalin Dahyabhai 2006-08-31 18:08:11 EDT
Can we get more information about your network setup and anything specific
you're doing which triggers the crash?  I tried the simple "turn both on and
restart" case, and nmbd (3.0.10-1.4E.2) didn't crash outright, and it kept
running when I ran a simple 'nmblookup' command.  Hopefully more info will help
us reproduce this here....
Comment 5 David Herselman 2006-09-12 19:44:41 EDT
We can confirm the existence of this incredibly frustrating bug. The latest 
samba RPMs (3.0.10-1.4E.9) still don't address this problem.

We notice this bug when downgrading from our custom compiled Samba RPMs back
to the RHEL ones and then waiting a couple of minutes... We have Samba acting
as a domain controller for Windows XP machines and after a while one can
no longer resolve security groups and/or users from the domain but restarting
samba resolves the problem.

/var/log/samba/nmbd.log contains the following when nmbd dies:
  *** glibc detected *** free(): invalid next size (fast): 0x09670d10 ***

Let me know if you want my smb.conf configuration file...
Comment 6 quekky 2006-09-24 23:51:44 EDT
Did a test today on a new RHEL4 update 3 installation. 

kernel 2.6.9-34.EL
samba 3.0.10-1.4E.6

enviroment is the test server, a RHEL2.1 with DHCP and 1 Windows XP SP2
connected in vmware.

smb.conf is the default installation, added with 2 lines in the [global]:
wins proxy = yes 
wins support = yes


/var/log/samba/nmbd.log have only the following:
  Netbios nameserver version 3.0.10-1.4E.6 started.
  Copyright Andrew Tridgell and the Samba Team 1994-2004
*** glibc detected *** free(): invalid next size (fast): 0x09a54728 ***
Comment 7 RHEL Product and Program Management 2006-09-25 00:00:09 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 8 quekky 2006-12-04 00:50:47 EST
Retest with RHEL4 Update 4, samba 3.0.10-1.4E.9

enviroment is the test server and 1 Windows XP SP2 with lastest patch connected
in vmware.

smb.conf is the default installation, added with 2 lines in the [global]:
wins proxy = yes 
wins support = yes

Added 1 user using adduser and smbpasswd.

When the Win XP browse the samba home dir, /var/log/samba/nmbd.log have "***
glibc detected ***"
Comment 9 Jose Plans 2007-08-08 12:58:56 EDT
Is this not dup of 172713 ?

Note You need to log in before you can comment on or make changes to this bug.